- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTexture Class Reference
[COLLADA Effect Classes [ColladaFX]]

A COLLADA texture. More...

`#include <FCDTexture.h>`

Inheritance diagram for FCDTexture:

List of all members.

## Public Member Functions
| FCDTexture (FCDocument *document, FCDEffectStandard *parent=NULL)
| Constructor.
virtual | ~FCDTexture ()
| Destructor.
FCDEffectStandard * | GetParent () const
| Access the parent standard effect or this texture.
FCDImage * | GetImage ()
| Retrieves the image information for this texture.
const FCDImage * | GetImage () const
| See above.
void | SetImage (FCDImage *image)
| Set the image information for this texture.
FCDEffectParameterSampler * | GetSampler ()
| Retrieves the surface sampler for this texture.
const FCDEffectParameterSampler * | GetSampler () const
| See above.
void | SetSampler (FCDEffectParameterSampler *_sampler)
| Sets the targeted sampler.
bool | HasSampler ()
| Determines whether this texture targets a sampler.
FCDEffectParameterInt * | GetSet ()
| Retrieves the texture coordinate set to use with this texture.
const FCDEffectParameterInt * | GetSet () const
| See above.
FCDExtra * | GetExtra ()
| Retrieves the extra information tied to this texture.
const FCDExtra * | GetExtra () const
| See above.
virtual FCDTexture * | Clone (FCDTexture *clone=NULL) const
| Clones the texture.

## Detailed Description

A COLLADA texture.

Textures are used by the COMMON profile materials. As per the COLLADA 1.4 specification, a texture is used to match some texture coordinates with a surface sampler, on a given texturing channel.

Therefore: textures hold the extra information necessary to place an image correctly onto polygon sets. This extra information includes the texturing coordinate transformations and the blend mode.

## Constructor & Destructor Documentation

FCDTexture::FCDTexture | ( | FCDocument * | document,
|  | FCDEffectStandard * | parent = `NULL`
| ) |

  | Constructor. Do not use directly. Instead, use the FCDEffectStandard::AddTexture function. Parameters:
  | document | The COLLADA document that owns this texture.
  | parent | The standard effect that contains this texture.

## Member Function Documentation

virtual FCDTexture* FCDTexture::Clone | ( | FCDTexture * | clone = `NULL` | ) | const`[virtual]`

  | Clones the texture. Parameters:
  | clone | The cloned texture. If this pointer is NULL, a new texture is created and you will need to release this new texture.
Returns: The cloned texture. This pointer will never be NULL.

FCDExtra* FCDTexture::GetExtra | ( |  | ) | `[inline]`

| Retrieves the extra information tied to this texture. Returns: The extra tree.

FCDImage* FCDTexture::GetImage | ( |  | ) | `[inline]`

| Retrieves the image information for this texture. Returns: The image. This pointer will be NULL if this texture is not yet tied to a valid image.

FCDEffectStandard* FCDTexture::GetParent | ( |  | ) | const`[inline]`

| Access the parent standard effect or this texture. Returns: The parent effect.

FCDEffectParameterSampler* FCDTexture::GetSampler | ( |  | ) |

| Retrieves the surface sampler for this texture. Returns: The sampler. In the non-const method: the sampler will be created if it is currently missing and the parent is available.

FCDEffectParameterInt* FCDTexture::GetSet | ( |  | ) | `[inline]`

| Retrieves the texture coordinate set to use with this texture. This information is duplicated from the material instance abstraction level. Returns: The effect parameter containing the set.

bool FCDTexture::HasSampler | ( |  | ) | `[inline]`

| Determines whether this texture targets a sampler. Returns: Whether the texture targets a sampler.

void FCDTexture::SetImage | ( | FCDImage * | image | ) |

  | Set the image information for this texture. This is a shortcut that generates the sampler/surface parameters to access the given image. Parameters:
  | image | The image information. This pointer may be NULL to disconnect an image.

void FCDTexture::SetSampler | ( | FCDEffectParameterSampler * | _sampler | ) | `[inline]`

  | Sets the targeted sampler. Parameters:
  | _sampler | The new sampler.

The documentation for this class was generated from the following file:

- FCDocument/FCDTexture.h